Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.huguesjohnson.fileFilter
Class MultiExtensionFileFilter

    java.lang.Object
      javax.swing.filechooser.FileFilter
          com.huguesjohnson.fileFilter.MultiExtensionFileFilter

Direct Known Subclasses:
  MidiFileFilter, TrueTypeFontFileFilter, XmlFileFilter

    public class MultiExtensionFileFilter

extends javax.swing.filechooser.FileFilter

MultiExtensionFileFilter Filter to accept a list of file extensions

Author:
  Hugues Johnson

Constructor Summary
`MultiExtensionFileFilter(java.lang.String[] extensionList)` Creates a new instance of MultiExtensionFileFilter

Method Summary
`boolean` | `accept(java.io.File file)` Tests if a file has an extension of a known type.
`java.lang.String` | `getDescription()` Returns the description of file accepted by the filter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultiExtensionFileFilter

    public MultiExtensionFileFilter(java.lang.String[] extensionList)

  Creates a new instance of MultiExtensionFileFilter

  Parameters:
    `extensionList` - the list of file extensions to accept NOT case sensitive directories always accepted

Method Detail

### accept

    public final boolean accept(java.io.File file)

  Tests if a file has an extension of a known type.

  Specified by:
    `accept` in class `javax.swing.filechooser.FileFilter`
  Parameters:
    `file` - The file to check.
  Returns:
    True if the extension of a file matches a known type.

### getDescription

    public java.lang.String getDescription()

  Returns the description of file accepted by the filter.

  Specified by:
    `getDescription` in class `javax.swing.filechooser.FileFilter`
  Returns:
    Description of files accepted by the current filter.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hugues Johnson